package com.yiqi.system.service.impl;

import java.util.List;
import com.yiqi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yiqi.system.mapper.SysStoreAreaMapper;
import com.yiqi.system.domain.SysStoreArea;
import com.yiqi.system.service.ISysStoreAreaService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * 门店区域Service业务层处理
 *
 * @author ruoyi
 * @date 2023-08-10
 */
@Service
public class SysStoreAreaServiceImpl extends ServiceImpl<SysStoreAreaMapper,SysStoreArea> implements ISysStoreAreaService {

    /**
     * 查询门店区域
     *
     * @param id 门店区域主键
     * @return 门店区域
     */
    @Override
    public SysStoreArea selectSysStoreAreaById(Long id) {
        return baseMapper.selectSysStoreAreaById(id);
    }

    /**
     * 查询门店区域列表
     *
     * @param sysStoreArea 门店区域
     * @return 门店区域
     */
    @Override
    public List<SysStoreArea> selectSysStoreAreaList(SysStoreArea sysStoreArea) {
        return baseMapper.selectSysStoreAreaList(sysStoreArea);
    }

    /**
     * 新增门店区域
     *
     * @param sysStoreArea 门店区域
     * @return 结果
     */
    @Override
    public int insertSysStoreArea(SysStoreArea sysStoreArea) {
        sysStoreArea.setCreateTime(DateUtils.getNowDate());
        return baseMapper.insertSysStoreArea(sysStoreArea);
    }

    /**
     * 修改门店区域
     *
     * @param sysStoreArea 门店区域
     * @return 结果
     */
    @Override
    public int updateSysStoreArea(SysStoreArea sysStoreArea) {
        sysStoreArea.setUpdateTime(DateUtils.getNowDate());
        return baseMapper.updateSysStoreArea(sysStoreArea);
    }

    /**
     * 批量删除门店区域
     *
     * @param ids 需要删除的门店区域主键
     * @return 结果
     */
    @Override
    public int deleteSysStoreAreaByIds(Long[] ids) {
        return baseMapper.deleteSysStoreAreaByIds(ids);
    }

    /**
     * 删除门店区域信息
     *
     * @param id 门店区域主键
     * @return 结果
     */
    @Override
    public int deleteSysStoreAreaById(Long id) {
        return baseMapper.deleteSysStoreAreaById(id);
    }
}
